import moment from 'moment'

export default {
	
	// 昨天
	getYesterday() {
		let time = {
			starttime: '',
			endtime: ''
		}
		time.starttime = moment(moment().add(-1, 'days').startOf("day").valueOf()).format("YYYY-MM-DD")
		time.endtime = moment(moment().add(-1, 'days').endOf('day').valueOf()).format('YYYY-MM-DD')
		return time
	},
	
	// 今天
	getDay() {
		let time = {
			starttime: '',
			endtime: ''
		}
		time.starttime = moment(moment().startOf("day").valueOf()).format("YYYY-MM-DD")
		time.endtime = moment(moment().valueOf()).format("YYYY-MM-DD")
		return time
	},
	
	// 本周
	getWeek() {
		let time = {
			starttime: '',
			endtime: ''
		}
		time.starttime = moment(moment().week(moment().week()).startOf('week').add(1, 'days').valueOf()).format('YYYY-MM-DD')
		time.endtime = moment(moment().week(moment().week()).endOf('week').add(1, 'days').valueOf()).format('YYYY-MM-DD')
		return time
	},
	
	// 上周
	getLastWeek() {
		let time = {
			starttime: '',
			endtime: ''
		}
		time.starttime = moment(moment().week(moment().week() - 1).startOf('week').add(1, 'days').valueOf()).format('YYYY-MM-DD')
		time.endtime = moment(moment().week(moment().week() - 1).endOf('week').add(1, 'days').valueOf()).format('YYYY-MM-DD')
		return time
	},
	
	// 本月
	getMonth() {
		let time = {
			starttime: '',
			endtime: ''
		}
		time.starttime = moment(moment().month(moment().month()).startOf('month').valueOf()).format('YYYY-MM-DD')
		time.endtime = moment(moment().month(moment().month()).endOf('month').valueOf()).format('YYYY-MM-DD')
		return time
	},
	
	// 上月
	getLastMonth() {
		let time = {
			starttime: '',
			endtime: ''
		}
		time.starttime = moment(moment().month(moment().month() - 1).startOf('month').valueOf()).format('YYYY-MM-DD')
		time.endtime = moment(moment().month(moment().month() - 1).endOf('month').valueOf()).format('YYYY-MM-DD')
		return time
	},
	
	// 今年
	getYear() {
		let time = {
			starttime: '',
			endtime: ''
		}
		time.starttime = moment(moment().year(moment().year()).startOf('year').valueOf()).format('YYYY-MM-DD')
		time.endtime = moment(moment().year(moment().year()).endOf('year').valueOf()).format('YYYY-MM-DD')
		return time
	},
	
	// 近3个月（足3月）
	getLastTreeMonth() {
		let time = {
			starttime: '',
			endtime: ''
		}
		time.starttime = moment(new Date()).subtract(3, 'months').format('YYYY-MM-DD')
		time.endtime = moment(moment().valueOf()).format("YYYY-MM-DD")
		return time
	},
	
	// 近6个月（足6月）
	getLastSexMonth() {
		let time = {
			starttime: '',
			endtime: ''
		}
		time.starttime = moment(new Date()).subtract(6, 'months').format('YYYY-MM-DD')
		time.endtime = moment(moment().valueOf()).format("YYYY-MM-DD")
		return time
	},
}